{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            size: letter landscape;
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context %}
        <div style="padding-top: 1em;">
            <div align="center" style="border: dashed;line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">ATTENDANCE PARTICULARS AND CONDUCT CERTIFICATE - {{ context.semester_string }}


                </span><br>
                <span style="font-size: 1.3em;"><strong>DURATION</strong> : {{ context.current_start_date|date:"d-m-Y" }} to {{ context.current_end_date|date:"d-m-Y" }}</span><br>
                <div align="left" style="padding: 1em">
                    <span style="font-size: 1.3em;"><strong>PROGRAMME</strong> : {{ context.selected_course.programme }}</span><br>
                    <span style="font-size: 1.3em;"><strong>BRANCH</strong> : {{ context.selected_course.department }}</span><br>
                    <span style="font-size: 1.3em;"><strong>SEMESTER</strong> : {{ context.selected_course.semester }}</span><br>
                    <span style="font-size: 1.3em;"><strong>COURSE CODE & TITLE</strong> : {{ context.selected_course.course_id }} - {{ context.selected_course.course_name }}</span><br>
                    <span style="font-size: 1.3em;"><strong>TOTAL NO. OF PERIODS HELD</strong> : {{ context.total_hours_count }}
{#                {% if context.final_result.group_1 %}#}
{#                    {% with context.final_result.group_1|first as first_stud %}{{ first_stud.total_hours }}{% endwith %}#}
{#                {% elif context.final_result.group_2 %}#}
{#                    {% with context.final_result.group_2|first as first_stud %}{{ first_stud.total_hours }}{% endwith %}#}
{#                {% else %}#}
{#                    {% with context.final_result.group_3|first as first_stud %}{{ first_stud.total_hours }}{% endwith %}#}
{#                {% endif %}#}

                </span>
                </div>
            </div>


        </div>
        <div><h1><strong>Category 1: </strong> Candidates permitted for appearing for end semester
            Examination {{ context.final_result.group_1_description }}</h1></div>

        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large; width: 5%">S.No.</td>
                <td align="center" style="font-weight: bold;font-size: large;">Roll Number</td>
                <td align="center" style="font-weight: bold;font-size: large;">Name</td>
                <td align="center" style="font-weight: bold;font-size: large;">TOTAL HOURS</td>
                <td align="center" style="font-weight: bold;font-size: large;">NO OF PERIODS PRESENT</td>
                <td align="center" style="font-weight: bold;font-size: large;">% OF ATTENDANCE</td>
                <td align="center" style="font-weight: bold;font-size: large;">CONDUCT</td>
                <td align="center" style="font-weight: bold;font-size: large;">REMARKS</td>
            </tr>
            </thead>
            <tbody>

            {% for result in context.final_result.group_1 %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ result.roll_no }}</td>
                    <td style="padding-left: 5px">{{ result.name }}</td>
                    <td style="padding-left: 5px">{{ result.total_hours }}</td>
                    <td align="center">{{ result.present_hours }}</td>
                    <td align="center">{{ result.percentage }}</td>
                    <td align="center">SATISFACTORY</td>
                    <td align="center"></td>
                </tr>
            {% endfor %}
            {% if not context.final_result.group_1 %}
                <tr>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                </tr>
            {% endif %}
            </tbody>
            </tbody>

        </table>

        <div><h1><strong>Category 2: </strong> Candidates recommended to appear for the end semester examinations after
            condonation of attendance required {{ context.final_result.group_2_description }}</h1></div>

        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large; width: 5%">S.No.</td>
                <td align="center" style="font-weight: bold;font-size: large;">Roll Number</td>
                <td align="center" style="font-weight: bold;font-size: large;">Name</td>
                <td align="center" style="font-weight: bold;font-size: large;">TOTAL HOURS</td>
                <td align="center" style="font-weight: bold;font-size: large;">NO OF PERIODS PRESENT</td>
                <td align="center" style="font-weight: bold;font-size: large;">% OF ATTENDANCE</td>
                <td align="center" style="font-weight: bold;font-size: large;">CONDUCT</td>
                <td align="center" style="font-weight: bold;font-size: large;">REMARKS</td>
            </tr>
            </thead>
            <tbody>

            {% for result in context.final_result.group_2 %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ result.roll_no }}</td>
                    <td style="padding-left: 5px">{{ result.name }}</td>
                    <td style="padding-left: 5px">{{ result.total_hours }}</td>
                    <td align="center">{{ result.present_hours }}</td>
                    <td align="center">{{ result.percentage }}</td>
                    <td align="center"></td>
                    <td align="center"></td>
                </tr>
            {% endfor %}
            {% if not context.final_result.group_2 %}
                <tr>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                </tr>
            {% endif %}
            </tbody>

        </table>

        <div><h1><strong>Category 3: </strong> Candidates prevented to appear for the end semester examinations due to
            lack of attendance {{ context.final_result.group_3_description }}</h1></div>

        <table border="1" style="border-width: thin;padding-top: 30%">
            <thead>
            <tr>
                <td align="center" style="font-weight: bold;font-size: large; width: 5%">S.No.</td>
                <td align="center" style="font-weight: bold;font-size: large;">Roll Number</td>
                <td align="center" style="font-weight: bold;font-size: large;">Name</td>
                <td align="center" style="font-weight: bold;font-size: large;">TOTAL HOURS</td>
                <td align="center" style="font-weight: bold;font-size: large;">NO OF PERIODS PRESENT</td>
                <td align="center" style="font-weight: bold;font-size: large;">% OF ATTENDANCE</td>
                <td align="center" style="font-weight: bold;font-size: large;">CONDUCT</td>
                <td align="center" style="font-weight: bold;font-size: large;">REMARKS</td>
            </tr>
            </thead>
            <tbody>

            {% for result in context.final_result.group_3 %}
                <tr>
                    <td align="center">{{ forloop.counter }}</td>
                    <td align="center">{{ result.roll_no }}</td>
                    <td style="padding-left: 5px">{{ result.name }}</td>
                    <td align="center">{{ result.total_hours }}</td>
                    <td align="center">{{ result.present_hours }}</td>
                    <td align="center">{{ result.percentage }}</td>
                    <td align="center"></td>
                    <td align="center"></td>
                </tr>
            {% endfor %}
            {% if not context.final_result.group_3 %}
                <tr>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                    <td align="center">-</td>
                </tr>
            {% endif %}

            </tbody>

        </table>
    {% endif %}
    <br>
    <br>
    <br>
    <br>
    <br>
    <table>
        <tr>
            <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty In-charge of the
                course</strong>
            </td>
            <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the Department of the
                Faculty In-charge of the course</strong>
            </td>
        </tr>
    </table>

    <br>
    <br>
    <br>
    <br>
    <br>
    <table>

        <tr>

            <td align="left" style="font-stretch: expanded;font-size: large"><strong>Faculty Advisor/Student
                Counsellor</strong>
            </td>
            <td align="center" style="font-stretch: expanded;font-size: large"><strong>Programme Co-ordinator</strong>
            </td>
            <td align="right" style="font-stretch: expanded;font-size: large"><strong>Head of the department of the
                student</strong>
            </td>
        </tr>

    </table>
{% endblock %}